<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />
	
	<xsl:template match="op:bib[op:bibM/sp:type = 'bib']">
		<itemBibliographie>
			<label>
				<xsl:value-of select="normalize-space(op:bibM/sp:desc)" />
			</label>
			<id>
				<xsl:value-of select="currentModel()" />
			</id>
			<titre>
				<xsl:value-of select="op:bibM/sp:desc//sc:textLeaf[@role = 'title']" />
			</titre>
			<auteur>
				<xsl:value-of select="op:bibM/sp:desc//sc:textLeaf[@role = 'auth']" />
			</auteur>
		</itemBibliographie>
	</xsl:template>
	
	<xsl:template match="op:bib[op:bibM/sp:type = 'web']">
		<!-- TODO Unit : extendedlink n'est pas utilisé -->
		<itemWebographie>
			<label>
				<xsl:value-of select="normalize-space(op:bibM/sp:desc)" />
			</label>
			<id>
				<xsl:value-of select="currentModel()" />
			</id>
			<url>
				<xsl:value-of select="op:bibM/sp:desc//sc:uLink[@role = 'url']" />
			</url>
		</itemWebographie>
	</xsl:template>
	
</xsl:stylesheet>
