<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />
	
	<xsl:template match="op:binAltM | op:binM">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sp:desc">
		<texteAlternatif>
			<xsl:value-of select="normalize-space(.)" />
		</texteAlternatif>
	</xsl:template>
	
	<xsl:template match="sp:title">
		<legende>
			<xsl:value-of select="." />
		</legende>
	</xsl:template>
	
	<xsl:template match="sp:info | op:infoBin">
		<xsl:apply-templates />
	</xsl:template>
	
	<xsl:template match="sp:cpyrgt">
		<xsl:apply-templates select="op:sPara/sc:para" />
	</xsl:template>
	
	<xsl:template match="op:infoBin/*" />
	
	<xsl:template match="sp:alt">
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>
	
	<!-- TODO : sp:alt/op:altRes/sp:txt -->
</xsl:stylesheet>
