<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:courseUa">
		<docInterUnt>
			<type>Activité</type>
			<titre>
				<xsl:value-of select="op:uM/sp:title" disable-output-escaping="yes" />
			</titre>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tLevelElt" />
			<xsl:call-template name="tIncrementLevel" />

			<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
			
			<xsl:apply-templates />

			<xsl:call-template name="tRefs" />
		</docInterUnt>
	</xsl:template>

	<xsl:template match="op:uM" />


	<xsl:template match="sp:obj">
		<sousSection>
			<type>Objectifs</type>
			<titre>
				<xsl:apply-templates select="." mode="label" />
			</titre>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tLevelElt" />

			<contenu>
				<blocExpositif>
					<xsl:call-template name="tIdElt">
						<xsl:with-param name="pNum">1</xsl:with-param>
					</xsl:call-template>
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
					 />
				</blocExpositif>
			</contenu>
		</sousSection>
	</xsl:template>

	<xsl:template match="sp:intro">
		<sousSection>
			<type>
				<xsl:apply-templates select="." mode="label" />
			</type>
			<titre>
				<xsl:apply-templates select="." mode="label" />
			</titre>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tLevelElt" />

			<contenu>
				<blocExpositif>
					<xsl:call-template name="tIdElt">
						<xsl:with-param name="pNum">1</xsl:with-param>
					</xsl:call-template>
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
					 />
				</blocExpositif>
			</contenu>
		</sousSection>
	</xsl:template>

	<xsl:template match="sp:courseUc">
		<xsl:call-template name="tRefUriElt" />
	</xsl:template>

	<xsl:template match="sp:practUc | sp:trainUc">
		<xsl:call-template name="tNoMatch" />
	</xsl:template>

	<xsl:template match="sp:conclu">
		<sousSection>
			<type>
				<xsl:apply-templates select="." mode="label" />
			</type>
			<titre>
				<xsl:apply-templates select="." mode="label" />
			</titre>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tLevelElt" />

			<contenu>
				<blocExpositif>
					<xsl:call-template name="tIdElt">
						<xsl:with-param name="pNum">1</xsl:with-param>
					</xsl:call-template>
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
					/>
				</blocExpositif>
			</contenu>
		</sousSection>
	</xsl:template>

	<xsl:template match="sp:quest">
		<sousSection>
			<type>Question</type>
			<titre>
				<xsl:apply-templates select="." mode="label" />
			</titre>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tLevelElt" />

			<contenu>
				<blocExpositif>
					<xsl:call-template name="tIdElt">
						<xsl:with-param name="pNum">1</xsl:with-param>
					</xsl:call-template>
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
					/>
				</blocExpositif>
			</contenu>
		</sousSection>
	</xsl:template>

	<xsl:template match="sp:conclu">
		<sousSection>
			<type>
				<xsl:apply-templates select="." mode="label" />
			</type>
			<titre>
				<xsl:apply-templates select="." mode="label" />
			</titre>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tLevelElt" />

			<contenu>
				<blocExpositif>
					<xsl:call-template name="tIdElt">
						<xsl:with-param name="pNum">1</xsl:with-param>
					</xsl:call-template>
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
					/>
				</blocExpositif>
			</contenu>
		</sousSection>
	</xsl:template>

</xsl:stylesheet>
