<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:expUc">
		<docInterUnt>
			<type>
				<xsl:apply-templates select="." mode="label" />
			</type>
			<titre>
				<xsl:value-of select="op:uM/sp:title" disable-output-escaping="yes" />
			</titre>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tLevelElt" />
			<xsl:call-template name="tIncrementLevel" />
			
			<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
			
			<xsl:if test="sp:pb">
				<contenu>
					<xsl:apply-templates select="sp:pb" />
				</contenu>
			</xsl:if>
			
			<xsl:apply-templates select="sp:div" />
			
			
			<xsl:call-template name="tRefs" />
		</docInterUnt>
	</xsl:template>

	<xsl:template match="op:uM" />

	<xsl:template match="sp:pb">
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>

	<xsl:template match="sp:div">
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>

	<!-- Divisions -->
	<xsl:template match="op:expUcDiv">
		<sousSection>
			<type>
				<xsl:apply-templates select="." mode="label" />
			</type>
			<titre>
				<xsl:value-of select="op:expUcDivM/sp:title" disable-output-escaping="yes" />
			</titre>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tLevelElt" />
			<xsl:call-template name="tIncrementLevel" />
			
			<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
			
			<xsl:if test="sp:pb">
				<contenu>
					<xsl:apply-templates select="sp:pb" />
				</contenu>
			</xsl:if>
			
			<xsl:apply-templates select="sp:div" />
			
			<xsl:call-template name="tRefs" />
		</sousSection>
	</xsl:template>

	<xsl:template match="op:expUcDivM" />

</xsl:stylesheet>
