<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:res">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sp:txt">
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>

	<xsl:template match="sp:txtRes">
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Il n'y a pas de correspondance au texte illustré dans
				inter-UNT. Il a été mis à plat.</xsl:with-param>
		</xsl:call-template>
		<!-- Les groupes de ressources sont mis l'un en dessous de l'autre en fonction de la position défini par l'auteur -->
		<xsl:choose>
			<xsl:when test="op:txtRes/op:txtResM/sp:pos = 'lft'">
				<xsl:apply-templates select="op:txtRes/sp:res" />
				<xsl:apply-templates select="op:txtRes/sp:txt" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="op:txtRes/sp:txt" />
				<xsl:apply-templates select="op:txtRes/sp:res" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="sp:img | sp:res | sp:tab | sp:graph | sp:vid | sp:int | sp:form">
		<xsl:call-template name="tMedia" />
	</xsl:template>

	<!-- TODO : message -->
	<xsl:template match="sp:listing">
		<paragraphe>
			<code>
				<xsl:value-of select="normalize-space(.)" />
			</code>
		</paragraphe>
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Le listing a été converti en un paragraphe.</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="sp:bkquote">
		<paragraphe>
			<locution>
				<type>citation</type>
				<xsl:value-of select="normalize-space(.)" />
			</locution>
		</paragraphe>
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Le bloc de citation a été converti en un paragraphe.</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="sp:simu">
		<xsl:apply-templates select="op:simu/*[not(self::op:binAltM)]" />
	</xsl:template>

	<xsl:template match="sp:eweb">
		<media>
			<xsl:call-template name="tIdElt" />
			<typeMIME>application/zip</typeMIME>
			<fichier>
				<xsl:call-template name="tRefUri" />
				<xsl:text>.zip</xsl:text>
			</fichier>
		</media>
	</xsl:template>

	<xsl:template match="sp:xmllab">
		<media>
			<xsl:call-template name="tIdElt" />
			<typeMIME>application/x-xmllab</typeMIME>
			<fichier>
				<xsl:call-template name="tRefUri" />
			</fichier>
			<xsl:value-of select="getContent(gotoMeta(..))"
				disable-output-escaping="yes" />
		</media>
	</xsl:template>


	<xsl:template match="sp:vidInd">
		<xsl:call-template name="tNotSupportedFormat" />
	</xsl:template>

</xsl:stylesheet>
