<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:iu="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
    xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria" xmlns:lom="http://ltsc.ieee.org/xsd/LOM"
    xmlns:lomfr="http://www.lom-fr.fr/xsd/LOMFR" exclude-result-prefixes="iu lom lomfr">
    
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"
        cdata-section-elements="lom:entity" />
    
    <xsl:strip-space elements="*" />
    
    <xsl:template match="node() | @*">
        <xsl:copy>
            <xsl:apply-templates select="node() | @*" />
        </xsl:copy>
    </xsl:template>
    
    <!-- Suppression des doublons dans la bibliographie -->
    <xsl:template match="iu:bibliographie[iu:itemBibliographie]">
        <xsl:copy>
            <xsl:apply-templates select="iu:itemBibliographie[not(preceding-sibling::iu:itemBibliographie/iu:id = iu:id)]" />
        </xsl:copy>
        <xsl:apply-templates select="." mode="web" />
    </xsl:template>
    
    <!-- Suppression de la bibliographie si vide -->
    <xsl:template match="iu:bibliographie[not(iu:itemBibliographie)]">
        <xsl:apply-templates select="." mode="web" />
    </xsl:template>
    
    <xsl:template match="iu:bibliographie[iu:itemWebographie]" mode="web">
        <webographie>
            <xsl:apply-templates select="iu:itemWebographie[not(preceding-sibling::iu:itemWebographie/iu:id = iu:id)]" />
        </webographie>
    </xsl:template>
    
    <xsl:template match="iu:bibliographie[not(iu:itemWebographie)]" mode="web" />
    
    <xsl:template match="iu:glossaire[iu:itemGlossaire]">
        <xsl:copy>
            <xsl:apply-templates select="iu:itemGlossaire[not(preceding-sibling::iu:itemGlossaire/id = iu:id)]" />
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="iu:glossaire" />
    
    <xsl:template match="iu:acronymes[iu:itemAcronyme]">
        <xsl:copy>
            <xsl:apply-templates select="iu:itemAcronyme[not(preceding-sibling::iu:itemAcronyme/iu:id = iu:id)]" />
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="iu:acronymes" />
</xsl:stylesheet>
