<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" xmlns:bib="urn:unit-c.fr:schema:bibliography:v1"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:bib">
		<!-- TODO Unit : extendedlink n'est pas utilisé -->
		<bib:biblioentry id="{currentModel()}">
			<bib:biblioid>
				<xsl:value-of select="op:bibM/sp:id" />
			</bib:biblioid>
			<xsl:apply-templates select="op:bibM/sp:desc/op:bibTxt/sc:para" />
		</bib:biblioentry>
	</xsl:template>

	<xsl:template match="sc:para">
		<!-- TODO : message ? -->

		<xsl:variable name="vTitle" select="sc:textLeaf[@role = 'title'][1]" />
		<xsl:variable name="vSubTitle" select="sc:textLeaf[@role = 'title'][2]" />
		<xsl:variable name="vAuthors" select="sc:textLeaf[@role = 'auth']" />
		<xsl:variable name="vPublisher" select="sc:textLeaf[@role = 'ed'][1]" />
		<xsl:variable name="vPubDate" select="sc:textLeaf[@role = 'date'][1]" />

		<bib:title>
			<xsl:value-of select="$vTitle" />
		</bib:title>
		<xsl:if test="$vSubTitle">
			<bib:subtitle>
				<xsl:value-of select="$vSubTitle" />
			</bib:subtitle>
		</xsl:if>
		<xsl:if test="$vAuthors">
			<bib:authorgroup>
				<xsl:apply-templates select="$vAuthors" />
			</bib:authorgroup>
		</xsl:if>
		<xsl:if test="$vPublisher">
			<bib:publisher>
				<bib:publishername>
					<xsl:value-of select="$vPublisher" />
				</bib:publishername>
			</bib:publisher>
		</xsl:if>

		<xsl:if test="$vPubDate">
			<bib:pubdate>
				<xsl:value-of select="$vPubDate" />
			</bib:pubdate>
		</xsl:if>
	</xsl:template>

	<xsl:template match="sc:textLeaf[@role = 'auth']">
		<bib:author>
			<bib:personname>
				<xsl:choose>
					<xsl:when test="contains(., ' ')">
						<bib:firstname><xsl:value-of select="substring-before(., ' ')" /></bib:firstname>
						<bib:surname><xsl:value-of select="substring-after(., ' ')" /></bib:surname>
					</xsl:when>
					<xsl:otherwise>
						<bib:surname>
							<xsl:value-of select="." />
						</bib:surname>
					</xsl:otherwise>
				</xsl:choose>
			</bib:personname>
		</bib:author>
	</xsl:template>

	<xsl:template match="* | text()" />

</xsl:stylesheet>
