<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" xmlns:db="urn:unit-c.fr:schema:docbook:v1"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unisciel.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:clozeTxt">
		<db:gaptext>
			<xsl:apply-templates />
		</db:gaptext>
	</xsl:template>

	<xsl:template match="sc:para">
		<db:gapsimpara>
			<xsl:apply-templates />
		</db:gapsimpara>
	</xsl:template>

	<xsl:template match="sc:textLeaf[@role='gap']">
		<db:gap>
			<xsl:apply-templates />
		</db:gap>
	</xsl:template>

	<xsl:template match="sc:itemizedList | sc:orderedList">
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">La liste du texte à trous a été mise à
			plat.</xsl:with-param>
		</xsl:call-template>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:listItem">
		<xsl:apply-templates />
	</xsl:template>

	<!-- En-lignes -->
	<xsl:include href="bsco:inlines.xsl" />

</xsl:stylesheet>
