<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:courseUa">
		<CourseUa>
			<xsl:call-template name="tIdElt" />
			<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
			<xsl:call-template name="tBiblio" />

			<xsl:apply-templates />
		</CourseUa>
	</xsl:template>

	<xsl:template match="op:uM" />

	<xsl:template match="sp:obj" />

	<xsl:template match="sp:obj[not(following-sibling::sp:intro)]">
		<introduction>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</introduction>
	</xsl:template>

	<xsl:template match="sp:intro">
		<xsl:variable name="vObj" select="preceding-sibling::sp:obj" />
		<introduction>
			<xsl:if test="$vObj">
				<xsl:call-template name="tLogInfo">
					<xsl:with-param name="pMessage">Les objectifs de l'activité ont été intégrés
						dans l'introduction.</xsl:with-param>
				</xsl:call-template>
				<xsl:value-of select="getContent(gotoSubModel($vObj))" disable-output-escaping="yes"
				 />
			</xsl:if>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</introduction>
	</xsl:template>

	<xsl:template match="sp:courseUc">
		<ExpositionUc>
			<xsl:call-template name="tRefUri" />
		</ExpositionUc>
	</xsl:template>

	<xsl:template match="sp:practUc">
		<PracticeUc>
			<xsl:call-template name="tRefUri" />
		</PracticeUc>
	</xsl:template>

	<xsl:template match="sp:trainUc">
		<xsl:variable name="vRefUri">
			<xsl:call-template name="tRefUri" />
		</xsl:variable>
		<xsl:call-template name="tLogError">
			<xsl:with-param name="pMessage">La référence à l'exercice intéractif a été
			perdu.</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="sp:quest" />

	<xsl:template match="sp:conclu">
		<conclusion>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />

			<xsl:if test="../sp:quest">
				<xsl:call-template name="tLogWarning">
					<xsl:with-param name="pMessage">Les questions de synthèse ont été intégrées dans
						la conclusion.</xsl:with-param>
				</xsl:call-template>
				<xsl:for-each select="../sp:quest">
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
					 />
				</xsl:for-each>
			</xsl:if>
		</conclusion>
	</xsl:template>
</xsl:stylesheet>
