<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lom="http://ltsc.ieee.org/xsd/LOM"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unisciel.fr:schema:academic:v1" exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unisciel.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:field">
		<AeqUc>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tQuizTitle" />
			<xsl:call-template name="tQuizMeta" />

			<xsl:apply-templates />
		</AeqUc>
	</xsl:template>

	<xsl:template match="op:uM" />

	<xsl:template match="sc:question">
		<question>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</question>
	</xsl:template>

	<xsl:template match="sp:asw">
		<xsl:if test="count(sc:SFSolution/sc:value) &gt; 1">
			<xsl:call-template name="tLogError">
				<xsl:with-param name="pMessage">Les synonymes de la réponse sont
				perdus.</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<solution>
			<xsl:value-of select="sc:SFSolution/sc:value[1]" />
		</solution>
	</xsl:template>

	<xsl:template match="sc:globalExplanation">
		<comment>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</comment>
	</xsl:template>

</xsl:stylesheet>
