<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lom="http://ltsc.ieee.org/xsd/LOM"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unisciel.fr:schema:academic:v1" exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unisciel.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:mcqSur">
		<UcqUc>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tQuizTitle" />
			<xsl:call-template name="tQuizMeta" />

			<xsl:apply-templates />
		</UcqUc>
	</xsl:template>

	<xsl:template match="sc:question">
		<question>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</question>
	</xsl:template>

	<xsl:template match="sc:choices">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:choice">
		<proposition>
			<xsl:apply-templates />
		</proposition>
	</xsl:template>

	<xsl:template match="sc:choiceLabel">
		<proposition>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</proposition>
	</xsl:template>

	<xsl:template match="sc:choiceExplanation">
		<comment>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</comment>
	</xsl:template>

	<xsl:template match="sc:solution">
		<solution>
			<xsl:value-of select="@choice" />
		</solution>
	</xsl:template>

	<xsl:template match="sc:globalExplanation">
		<comment>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</comment>
	</xsl:template>

</xsl:stylesheet>
