<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" xmlns:db="urn:unit-c.fr:schema:docbook:v1"
	exclude-result-prefixes="sc sp op db">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:pb">
		<xsl:apply-templates />
	</xsl:template>

	<!-- Patron mettant à plat le contenu d'une balise pédagogique -->
	<xsl:template match="sp:*">
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">
				<xsl:text>La balise pédagogique '</xsl:text>
				<xsl:apply-templates select="." mode="label" />
				<xsl:text>' a été convertie en texte (titre préfixé et en important).</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:apply-templates select="op:pbTi/sp:title" />
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>

	<xsl:template match="op:pbTi/sp:title">
		<db:text>
			<db:simpara>
				<db:emphasis>
					<xsl:apply-templates select="../.." mode="label" />
					<xsl:text> : </xsl:text>
					<xsl:value-of select="." />
				</db:emphasis>
			</db:simpara>
		</db:text>
	</xsl:template>
</xsl:stylesheet>
