<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" xmlns:db="urn:unit-c.fr:schema:docbook:v1"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:txt | op:sTxt">
		<db:text>
			<xsl:apply-templates />
		</db:text>
	</xsl:template>

	<xsl:template match="op:qTxt">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:para">
		<db:simpara>
			<xsl:apply-templates />
		</db:simpara>
	</xsl:template>

	<xsl:template match="sc:itemizedList">
		<xsl:if test="count(*) &lt; 2">
			<xsl:call-template name="tLogError">
				<xsl:with-param name="pMessage">Les listes UNIT requièrent au moins deux
				éléments.</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<db:itemizedlist>
			<xsl:apply-templates />
		</db:itemizedlist>
	</xsl:template>

	<xsl:template match="sc:orderedList">
		<xsl:if test="count(*) &lt; 2">
			<xsl:call-template name="tLogError">
				<xsl:with-param name="pMessage">Les listes UNIT requièrent au moins deux
				éléments.</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<db:orderedlist>
			<xsl:apply-templates />
		</db:orderedlist>
	</xsl:template>

	<xsl:template match="sc:orderedList">
		<db:orderedlist>
			<xsl:apply-templates />
		</db:orderedlist>
	</xsl:template>

	<xsl:template match="sc:listItem">
		<db:listitem>
			<xsl:apply-templates />
		</db:listitem>
	</xsl:template>

	<!-- En-lignes -->
	<xsl:include href="bsco:inlines.xsl" />
</xsl:stylesheet>
