<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unisciel.fr:schema:academic:v1" exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unisciel.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:trainUc">
		<AutoevaluationUa>
			<xsl:call-template name="tIdElt" />
			<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
			<xsl:call-template name="tBiblio" />

			<xsl:apply-templates />
		</AutoevaluationUa>
	</xsl:template>

	<xsl:template match="op:uM" />

	<xsl:template match="sp:quiz">
		<!-- Récupération du code de l'item référencé -->
		<xsl:variable name="vType" select="typeAgent(concat('@',gotoSubModel()))" />

		<xsl:variable name="vElement">
			<xsl:choose>
				<xsl:when test="$vType = 'op_cloze'">GapTextUc</xsl:when>
				<xsl:when test="$vType = 'op_field'">AeqUc</xsl:when>
				<xsl:when test="$vType = 'op_match'">MatchUc</xsl:when>
				<xsl:when test="$vType = 'op_mcqMur'">McqUc</xsl:when>
				<xsl:when test="$vType = 'op_mcqSur'">UcqUc</xsl:when>
				<xsl:when test="$vType = 'op_ordSur'">OrderUc</xsl:when>
			</xsl:choose>
		</xsl:variable>

		<xsl:element name="{$vElement}">
			<xsl:call-template name="tRefUri" />
		</xsl:element>
	</xsl:template>

</xsl:stylesheet>
