<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns:lom="http://ltsc.ieee.org/xsd/LOM" xmlns="urn:unisciel.fr:schema:academic:v1"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unisciel.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:uM | op:ueM">
		<title>
			<xsl:apply-templates select="sp:title | sp:sTitle" />
		</title>
		<xsl:choose>
			<xsl:when test="sp:info">
				<xsl:apply-templates select="sp:info" />
			</xsl:when>
			<xsl:otherwise>
				<lom:lom />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="op:ueDivM | op:expUcDivM">
		<title>
			<xsl:apply-templates select="sp:title | sp:sTitle" />
		</title>
	</xsl:template>

	<xsl:template match="sp:title">
		<fullTitle>
			<xsl:value-of select="." />
		</fullTitle>
	</xsl:template>

	<xsl:template match="sp:sTitle">
		<shortTitle>
			<xsl:value-of select="." />
		</shortTitle>
	</xsl:template>

	<xsl:template match="sp:info">
		<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
	</xsl:template>

</xsl:stylesheet>
