<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3" xmlns="urn:unit-c.fr:schema:academic:v1"
    exclude-result-prefixes="sc sp op">
    
    <!-- Ensemble de patrons permettant de récupérer un nom courant à partir d'un élément -->
    
    <xsl:template match="op:ue | sp:ue" mode="label">Module Opale</xsl:template>
    <xsl:template match="op:ue/sp:obj" mode="label">Objectifs du module</xsl:template>
    <xsl:template match="sp:intro" mode="label">Introduction</xsl:template>
    <xsl:template match="op:courseUa | sp:courseUa" mode="label">Activité de cours</xsl:template>
    <xsl:template match="op:assmntUa | sp:assmntUa" mode="label">Activité d'évaluation</xsl:template>
    <xsl:template match="op:ueDiv | op:expUcDiv | sp:div" mode="label">Division</xsl:template>
    <xsl:template match="op:expUc | sp:courseUc" mode="label">Cours</xsl:template>
    <xsl:template match="op:practUc | sp:practUc" mode="label">Exercice</xsl:template>
    <xsl:template match="op:trainUc | sp:trainUc" mode="label">Exercice interactif</xsl:template>
    <xsl:template match="sp:conclu" mode="label">Conclusion</xsl:template>
    <xsl:template match="op:genRef | sp:genRef" mode="label">Références générales</xsl:template>
    <xsl:template match="op:courseUa/sp:obj | op:assmntUa/sp:obj" mode="label">Objectifs de l'activité</xsl:template>
    <xsl:template match="sc:feedbacks" mode="label">Feedback</xsl:template>
    <xsl:template match="sp:desc" mode="label">Mise en contexte</xsl:template>
    <xsl:template match="op:practUcQ | sp:quest" mode="label">Question</xsl:template>
    <xsl:template match="op:courseUa/sp:quest" mode="label">Question de synthèse</xsl:template>
    <xsl:template match="sp:quiz" mode="label">Quiz</xsl:template>
    <xsl:template match="op:cloze" mode="label">Texte à trous</xsl:template>
    <xsl:template match="op:field" mode="label">Question fermée</xsl:template>
    <xsl:template match="op:match" mode="label">Catégorisation</xsl:template>
    <xsl:template match="op:mcqMur" mode="label">Question à Choix Multiple</xsl:template>
    <xsl:template match="op:mcqSur" mode="label">Question à Choix Unique</xsl:template>
    <xsl:template match="op:ordWord" mode="label">Ordonnancement des mots</xsl:template>
    
    <xsl:template match="op:pb | sp:pb" mode="label">Contenu</xsl:template>
    
    <xsl:template match="sp:title" mode="label">Mots-clés</xsl:template>
    <xsl:template match="sp:sTitle" mode="label">Titre court</xsl:template>
    <xsl:template match="op:ueM | op:ueDivM | op:uM | op:info | sp:info" mode="label">Méta-données</xsl:template>
    <xsl:template match="sp:keywds" mode="label">Mots-clés</xsl:template>
    <xsl:template match="sp:keywd" mode="label">Mots-clé</xsl:template>
    <xsl:template match="sp:cc" mode="label">Licence Creative Commons</xsl:template>
    <xsl:template match="sp:cpyrgt" mode="label">Paternité ou copyright</xsl:template>
    <xsl:template match="op:dc | sp:dc" mode="label">Indexation Dublin-core et LomFr</xsl:template>
    <xsl:template match="sp:auth" mode="label">Auteur</xsl:template>
    <xsl:template match="sp:cont" mode="label">Contributeur</xsl:template>
    <xsl:template match="sp:publisher" mode="label">Editeur</xsl:template>
    <xsl:template match="sp:desc" mode="label">Description</xsl:template>
    <xsl:template match="sp:objs" mode="label">Objectifs Pédagogiques</xsl:template>
    <xsl:template match="sp:lang" mode="label">Langue</xsl:template>
    <xsl:template match="sp:cover" mode="label">Couverture spatiale</xsl:template>
    <xsl:template match="sp:level" mode="label">Niveau LMD</xsl:template>
    <xsl:template match="sp:date" mode="label">Date</xsl:template>
   
    <xsl:template match="sp:info" mode="label">Information</xsl:template>
    <xsl:template match="sp:def" mode="label">Définition</xsl:template>
    <xsl:template match="sp:ex" mode="label">Exemple</xsl:template>
    <xsl:template match="sp:rem" mode="label">Remarque</xsl:template>
    <xsl:template match="sp:adv" mode="label">Conseil</xsl:template>
    <xsl:template match="sp:warning" mode="label">Attention</xsl:template>
    <xsl:template match="sp:comp" mode="label">Complément</xsl:template>
    <xsl:template match="sp:meth" mode="label">Méthode</xsl:template>
    <xsl:template match="sp:remind" mode="label">Rappel</xsl:template>
    <xsl:template match="sp:basic" mode="label">Fondamental</xsl:template>
    <xsl:template match="sp:syntax" mode="label">Syntaxe</xsl:template>
    <xsl:template match="sp:legal" mode="label">Texte légal</xsl:template>
    <xsl:template match="sp:simul" mode="label">Simulation</xsl:template>
    
    <xsl:template match="op:res" mode="label">Ressource</xsl:template>
    <xsl:template match="op:txt | sp:txt" mode="label">Texte</xsl:template>
    <xsl:template match="sp:txtRes" mode="label">Texte illustré</xsl:template>
    <xsl:template match="sp:img" mode="label">Image</xsl:template>
    <xsl:template match="sp:tab" mode="label">Tableau</xsl:template>
    <xsl:template match="sp:graph" mode="label">Schéma, graphique</xsl:template>
    <xsl:template match="sp:vid" mode="label">Animation, son et vidéo</xsl:template>
    <xsl:template match="sp:int" mode="label">Lien vers document externe</xsl:template>
    <xsl:template match="sp:form" mode="label">Formule mathématique</xsl:template>
    <xsl:template match="sp:listing" mode="label">Listing informatique</xsl:template>
    <xsl:template match="op:bkquote | sp:qTxt" mode="label">Citation pluriparagraphe</xsl:template>
    <xsl:template match="sp:simu" mode="label">Site interactif, simulateur</xsl:template>
    
    <xsl:template match="op:binAltM | op:binM" mode="label">Propriétés de ressources</xsl:template>
    
    <xsl:template match="op:clozeTxt"  mode="label">Texte à trous</xsl:template>
    <xsl:template match="op:label | op:labelTxt | op:labelImg"  mode="label">Label</xsl:template>
    
    <xsl:template match="sc:inlineStyle[@role='quote']" mode="label">Citation</xsl:template>
    <xsl:template match="sc:inlineStyle[@role='emp']" mode="label">Important</xsl:template>
    <xsl:template match="sc:inlineStyle[@role='spec']" mode="label">Terme étranger</xsl:template>
    <xsl:template match="sc:uLink[not(@role)]" mode="label">Adresse web, email</xsl:template>
    <xsl:template match="sc:uLink[@role = 'acr']" mode="label">Abréviation</xsl:template>
    <xsl:template match="sc:uLink[@role = 'glos']" mode="label">Glossaire</xsl:template>
    <xsl:template match="sc:uLink[@role = 'bib']" mode="label">Bibliographie</xsl:template>
    <xsl:template match="sc:uLink[@role = 'ref']" mode="label">Référence</xsl:template>
    <xsl:template match="sc:uLink[@role = 'docLnk']" mode="label">Lien vers un document</xsl:template>
    <xsl:template match="sc:uLink[@role = 'resLnk']" mode="label">Renvoi vers une ressource</xsl:template>
    <xsl:template match="sc:textLeaf[@role = 'exp']" mode="label">Exposant</xsl:template>
    <xsl:template match="sc:textLeaf[@role = 'ind']" mode="label">Indice</xsl:template>
    <xsl:template match="sc:textLeaf[@role = 'mathtex']" mode="label">Equation interne LaTeX</xsl:template>
    <xsl:template match="sc:inlineImg[@role = 'form']" mode="label">Equation</xsl:template>
    <xsl:template match="sc:inlineImg[@role = 'ico']" mode="label">Imagette</xsl:template>
    <xsl:template match="sc:textLeaf[@role = 'gap']" mode="label">Trou</xsl:template>
    
    <xsl:template match="*" mode="label">
        <xsl:value-of select="name()" />
    </xsl:template>
</xsl:stylesheet>
