<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:assmntUa">
		<AutoevaluationUa>
			<xsl:call-template name="tIdElt" />
			<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
			<xsl:call-template name="tBiblio" />

			<xsl:apply-templates />
		</AutoevaluationUa>
	</xsl:template>

	<xsl:template match="op:uM" />

	<xsl:template match="sp:obj">
		<xsl:call-template name="tNoMatch" />
	</xsl:template>

	<xsl:template match="sp:intro">
		<introduction>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</introduction>
	</xsl:template>

	<xsl:template match="sp:quiz">
		<!-- Récupération du code de l'item référencé -->
		<xsl:variable name="vType" select="typeAgent(concat('@',gotoSubModel()))" />

		<xsl:choose>
			<xsl:when test="$vType = 'op_mcqSur' or $vType = 'op_mcqMur'">
				<McqUc>
					<xsl:call-template name="tRefUri" />
				</McqUc>
			</xsl:when>
			<xsl:when test="$vType = 'op_field'">
				<AeqUc>
					<xsl:call-template name="tRefUri" />
				</AeqUc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="tLogError">
					<xsl:with-param name="pMessage">UNIT ne support que les questions à choix
						multiple et les questions fermées.</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="sc:feedbacks">
		<xsl:call-template name="tNoMatch" />
	</xsl:template>

</xsl:stylesheet>
