<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dc="urn:unit-c.fr:schema:dublincore:v1"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:mcqSur | op:mcqMur">
		<McqUc>
			<xsl:call-template name="tIdElt" />
			<xsl:call-template name="tQuizTitle" />
			<dc:head>
				<xsl:value-of select="normalize-space(getContent(rootModel(), 'auth'))"
					disable-output-escaping="yes" />
			</dc:head>

			<xsl:apply-templates />
		</McqUc>
	</xsl:template>

	<xsl:template match="sc:question">
		<question>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</question>
	</xsl:template>

	<xsl:template match="sc:choices">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template
		match="sc:choice[position() = ../../sc:solution/@choice] | sc:choice[@solution='checked']">
		<correctproposition>
			<xsl:apply-templates />
		</correctproposition>
	</xsl:template>

	<xsl:template match="sc:choice">
		<falseproposition>
			<xsl:apply-templates />
		</falseproposition>
	</xsl:template>

	<xsl:template match="sc:choiceLabel">
		<proposition>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</proposition>
	</xsl:template>

	<xsl:template match="sc:choiceExplanation">
		<comment>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</comment>
	</xsl:template>

	<xsl:template match="sc:globalExplanation">
		<comment>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</comment>
	</xsl:template>

	<xsl:template match="sc:solution" />
</xsl:stylesheet>
