<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:pb">
		<xsl:apply-templates />
	</xsl:template>

	<!-- Patron commun pour gérer les balises pédagogiques -->
	<xsl:template match="sp:*">
		<!-- Le nom de l'élément correspondant est récupéré par un mode particulier -->
		<xsl:variable name="vMatchElement">
			<xsl:apply-templates select="." mode="match" />
		</xsl:variable>

		<xsl:element name="{$vMatchElement}">
			<xsl:apply-templates select="op:pbTi/sp:title" />
			<content>
				<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
			</content>
		</xsl:element>
	</xsl:template>

	<xsl:template match="sp:info" mode="match">information</xsl:template>
	<xsl:template match="sp:def" mode="match">definition</xsl:template>
	<xsl:template match="sp:ex" mode="match">example</xsl:template>
	<xsl:template match="sp:rem" mode="match">remark</xsl:template>
	<xsl:template match="sp:adv" mode="match">advice</xsl:template>
	<xsl:template match="sp:warning" mode="match">warning</xsl:template>
	<xsl:template match="sp:comp" mode="match">complement</xsl:template>
	<xsl:template match="sp:meth" mode="match">method</xsl:template>
	<xsl:template match="sp:remind" mode="match">reminder</xsl:template>
	<xsl:template match="sp:syntax" mode="match">syntax</xsl:template>

	<xsl:template match="sp:simul | sp:legal | sp:basic" mode="match">
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">
				<xsl:text>La balise pédagogique '</xsl:text>
				<xsl:apply-templates select="." mode="label" />
				<xsl:text>' n'a pas de correspondance dans UNIT. Elle a été convertie en balise Information.</xsl:text>
			</xsl:with-param>
		</xsl:call-template>

		<xsl:text>information</xsl:text>
	</xsl:template>

	<xsl:template match="sp:title">
		<title>
			<fullTitle>
				<xsl:value-of select="." />
			</fullTitle>
		</title>
	</xsl:template>
	
	<!-- Le titre est préfixé pour les balises pédagogiques n'ayant pas de correspondance exacte -->
	<xsl:template match="sp:simul/op:pbTi/sp:title | sp:legal/op:pbTi/sp:title | sp:basic/op:pbTi/sp:title">
		<xsl:attribute name="role">
			<xsl:value-of select="local-name(../..)" />
		</xsl:attribute>
		<title>
			<fullTitle>
				<xsl:apply-templates select="../.." mode="label"/>
				<xsl:text> : </xsl:text>
				<xsl:value-of select="." />
			</fullTitle>
		</title>
	</xsl:template>
</xsl:stylesheet>
