<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="urn:unit-c.fr:schema:academic:v1" xmlns:db="urn:unit-c.fr:schema:docbook:v1"
    xmlns:bib="urn:unit-c.fr:schema:bibliography:v1">

    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />

    <xsl:strip-space elements="*" />

    <xsl:template match="node() | @*">
        <xsl:copy>
            <xsl:apply-templates select="node() | @*" />
        </xsl:copy>
    </xsl:template>

    <!-- Suppression des doublons dans la bibliographie -->
    <xsl:template match="bib:bibliography[bib:biblioentry]">
        <xsl:copy>
            <xsl:apply-templates
                select="bib:biblioentry[not(preceding-sibling::bib:biblioentry/@id = @id)]" />
        </xsl:copy>
    </xsl:template>

    <!-- Suppression de la bibliographie si vide -->
    <xsl:template match="bib:bibliography" />
</xsl:stylesheet>
