<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" xmlns:redirect="com.scenari.xsldom.xalan.lib.Redirect" xmlns:java="http://xml.apache.org/xslt/java" extension-element-prefixes="redirect java lxslt ">
<xsl:output method="html" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

<xsl:template match="alternative"><xsl:apply-templates/></xsl:template>
<xsl:template match="@lookForAlt"><xsl:attribute name="alt"><xsl:value-of select="si(.='', ancestor::alternative/@alt, .)"/></xsl:attribute></xsl:template>	
	

<xsl:template match="zoneContent"><xsl:apply-overlays/><xsl:apply-templates/></xsl:template>
<xsl:template match="ifText"><xsl:if test="descendant::text()[string-length(normalize-space())&gt;0] or descendant::img or descendant::object"><xsl:apply-templates/></xsl:if></xsl:template>
<xsl:template match="hx"><xsl:variable name="vCount" select="count(ancestor::scBlock)"/><xsl:element name="{concat('h', si($vCount &gt; 6, '6', $vCount))}"><xsl:apply-templates select="@*"/><xsl:apply-overlays/><xsl:apply-templates/></xsl:element></xsl:template>
<xsl:template match="addAttribute">
<xsl:attribute name="{@name}"><xsl:choose><xsl:when test="@filter='textOnly'"><xsl:value-of select="normalize-space(.)"/></xsl:when><xsl:otherwise><redirect:serialize><xsl:value-of select="."/></redirect:serialize></xsl:otherwise></xsl:choose></xsl:attribute>
</xsl:template>
	

<xsl:template match="scTooltip">
<xsl:if test="descendant::text()[string-length(normalize-space())&gt;0] or descendant::img">
<xsl:variable name="vTTTitle"><redirect:serialize><xsl:apply-templates select="scTooltipTitle/node()"/></redirect:serialize></xsl:variable>
<xsl:variable name="vTTContent"><redirect:serialize><xsl:apply-templates select="scTooltipContent/node()"/></redirect:serialize></xsl:variable>
<xsl:attribute name="{@trigger}">scTooltipMgr.showTooltip(this,event,&quot;<xsl:value-of select="chaineProtegeJs(normalize-space($vTTContent))"/>&quot;,&quot;<xsl:value-of select="chaineProtegeJs(normalize-space($vTTTitle))"/>&quot;,&quot;<xsl:value-of select="@class"/>&quot;,{<xsl:value-of select="@options"/>});</xsl:attribute>
</xsl:if>
</xsl:template>
	

<xsl:variable name="vBufJs" select="java:java.lang.StringBuffer.new()"/>
<xsl:template match="/"><xsl:apply-overlays/><xsl:apply-templates select="node()"/><xsl:if test="java:length($vBufJs) &gt; 0"><script type="text/javascript"><xsl:value-of select="java:toString($vBufJs)"/></script></xsl:if></xsl:template>
	

<xsl:template match="scBlock"><div><xsl:apply-templates select="@*"/><xsl:apply-overlays/><xsl:apply-templates/></div></xsl:template>
<xsl:template match="scBlockTitle"/>
	

<xsl:template match="crossRef"/>
<xsl:overlay match="*[crossRef]" priority="1">
<xsl:variable name="vId" select="java:ensureIdOnCurrentResultElt($vDialog, string(crossRef[@prefId]/@prefId))"/>
<xsl:for-each select="crossRef/entry"><xsl:value-of select="java:com.scenari.m.ge.generator.web.CrossRefEntry.addEntry($vDialog, $vId, @keyRef, @value)"/></xsl:for-each>
</xsl:overlay>
	
	<xsl:overlay match="span[containWord(@class, 'mnu_sel_yes')]">
		<xsl:variable name="vId" select="java:ensureIdOnCurrentResultElt($vDialog)"/>
		<xsl:value-of select="execute(java:append($vBufJs, concat('new ScSiRuleEnsureVisible(&quot;', $vId, '&quot;, &quot;ide:mnuScroll&quot;);')))"/>
	</xsl:overlay>
	<xsl:template match="* | processing-instruction() | comment()"><xsl:copy><xsl:apply-templates select="@*"/><xsl:apply-overlays/><xsl:apply-templates/></xsl:copy></xsl:template>
	<xsl:template match="@* | text()"><xsl:copy/></xsl:template>
</xsl:stylesheet>
